Option Explicit
Dim FSO, Liste, Nr

Set FSO      = CreateObject("Scripting.FileSystemObject")
Set Liste    = WScript.Arguments

If Liste.Count > 0 Then
    ' THEN wird ausgefhrt, wenn aus dem Explorer Dateien
    ' mit Drag & Drop auf diese Skript-Datei gezogen wurden

    For Nr = 0 To Liste.Count - 1
        ErsetzeDurchDummy Liste(Nr)
    Next
	
End If

Sub ErsetzeDurchDummy(Datei)
    Dim ErsatzDateiName, i
    
    If Not FSO.FileExists(Datei) Then Exit Sub
    
    ' Ersatzdateinamen bestimmen
    For i = 1 To 100
        ErsatzDateiName = FSO.BuildPath(FSO.GetParentFolderName(Datei), "#" & i & "#" & FSO.GetFileName(Datei))
        If Not FSO.FileExists(ErsatzDateiName) Then Exit For
    Next 
    If FSO.FileExists(ErsatzDateiName) Then
        Err.Raise 0, Titel, "Finde keinen Namen fr Ersatzdatei von " & vbNewLine & Datei
    Else
        Err.Clear
        On Error Resume Next
        
        ' Vorhandene Datei umbenennen
        FSO.MoveFile Datei, ErsatzDateiName
        If Err.Description <> "" Then
            Err.Raise 0, Titel, Err.Description
            Exit Sub
        End If
        
        ' Leere Textdatei erzeugen
        FSO.CreateTextFile Datei
        If Err.Description <> "" Then
            Err.Raise 0, Titel, Err.Description
            Exit Sub
        End If
        
        ' Attribute ndern
        FSO.GetFile(Datei).Attributes = 1 + 2 + 4 ' ReadOnly, Hidden, System
        If Err.Description <> "" Then
            Err.Raise 0, Titel, Err.Description
            Exit Sub
        End If
    End If
End Sub
